#
# spec file for package ggz
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ggz
Version:        0.0.14.1
Release:        lp150.1.6
Summary:        Makes free online gaming possible
License:        GPL-2.0+ and LGPL-2.1+
Group:          Amusements/Games/Other
Url:            http://www.ggzgamingzone.org/
Source0:        libggz-%{version}.tar.bz2
BuildRequires:  libgcrypt-devel
BuildRequires:  libopenssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GGZ project makes free online gaming possible.

%package -n libggz2-devel
Summary:        Makes free online gaming possible
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       gnutls-devel
Requires:       libgcrypt-devel
Requires:       libggz2 = %{version}

%description -n libggz2-devel
The GGZ project makes free online gaming possible.

%package -n libggz2
Summary:        Makes free online gaming possible
Group:          Amusements/Games/Other
Provides:       %{name} = %{version}
Obsoletes:      %{name} <= %{version}

%description -n libggz2
The GGZ project makes free online gaming possible.

%prep
%setup -q -n libggz-%{version}

%build
%configure --disable-static --with-pic --enable-anl --with-tls
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_datadir}/ggz

%post   -n libggz2 -p /sbin/ldconfig
%postun -n libggz2 -p /sbin/ldconfig

%files -n libggz2
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README*
%{_libdir}/*.so.*
%dir %{_datadir}/ggz

%files -n libggz2-devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_mandir}/man3/*.gz

%changelog
* Tue Feb 12 2013 crrodriguez@opensuse.org
- USe --enable-anl, makes the library to use glibc 's async DNS
  functionality
* Tue Nov 20 2012 cgiboudeaux@gmx.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Wed Feb  1 2012 toddrme2178@gmail.com
- Got TLS support working
* Fri Oct  7 2011 toddrme2178@gmail.ccom
- Cleaned up spec file formatting
* Sat Sep 17 2011 javier@opensuse.org
- fix obsoletes for libggz2
* Thu Aug 11 2011 idonmez@novell.com
- libggz2-devel should depend on libggz2
* Mon Aug  8 2011 toddrme2178@gmail.ccom
- Eliminated ggz package and moved contents to the lib package.
  The ggz package only contained basic documentation
- Switched to modern RPM macros and cleaned up spec file formatting
- Removed the name from the summaries (fix for RPMLINT warnings)
* Mon Aug  3 2009 vuntz@novell.com
- Add gnutls-devel BuildRequires.
- Add libgcrypt-devel and gnutls-devel to Requires of devel
  package.
* Wed Apr 15 2009 crrodriguez@suse.de
- use --disable-static
- fix -devel package dependencies
* Tue Mar 25 2008 maw@suse.de
- Own %%{_datadir}/ggz.
* Wed Mar  5 2008 maw@suse.de
- Initial version of ggz: version 0.0.14.1
